function Copy(path) {
  Documents.NewDocument("");
  Editor.Text = path;
  Actions.Execute("ActSelectAll");
  Actions.Execute("ActCopy");
  Document.Close(true);
}

function CopyPath(Sender) {
  Copy(Document.FileName);
}

function CopyDir(Sender) {
  Copy(ExtractFilePath(Document.FileName));
}

function CopyFilename(Sender) {
  Copy(ExtractFileName(Document.FileName));
}

Script.RegisterDocumentAction("", "Copy File Path", "", &CopyPath);
Script.RegisterDocumentAction("", "Copy File Directory", "", &CopyDir);
Script.RegisterDocumentAction("", "Copy File Name", "", &CopyFilename);

